package com.zipcoder.payment;

import java.util.Arrays;
import java.util.Comparator;

public class PaymentPresenter {


    public String toString(Payment[] payments) {
        StringBuilder sb = new StringBuilder();
        Arrays.sort(payments);

        for (int i = 0; i < payments.length; i++) {

            sb.append(payments[i].getShortDescription() + "\n");
        }

        return sb.toString();
    }

    public String toStringByPayerName(Payment[] payments) {
        StringBuilder sb = new StringBuilder();
        Arrays.sort(payments, new PaymentSortByPayer());
        for (int i = 0; i < payments.length; i++) {
            sb.append(payments[i].getShortDescription() + "\n");
        }
        return sb.toString();
    }

    public String toStringById(Payment[] payments) {
        StringBuilder sb = new StringBuilder();
        Arrays.sort(payments, Comparator.comparing(Payment::getId));

        for (int i = 0; i < payments.length; i++) {
            sb.append(payments[i].getShortDescription() + "\n");
        }
        return sb.toString();
    }
}
