package com.zipcoder.payment;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.assertEquals;

public class CheckTest {

    Check check;
    Check check2;

    @Before
    public void setup() {
        check = new Check();
        check2 = new Check();
    }
    @Test
    public void getIdTest() {

        check.setId(1234L);
        check2.setId(3456L);

        Long expected = 1234L;
        Long actual = check.getId();

        assertEquals(expected, actual);
    }

    @Test
    public void getPayNameTest() {

        check2.setPayerName("Money");
        check.setPayerName("Lucky");
        String expected = "Lucky";

        String actual = check.getPayerName();

        assertEquals(expected, actual);
    }

    @Test
    public void getRoutingNumber() {

        check2.setRoutingNumber("5678");
        check.setRoutingNumber("1234");
        String expected = "1234";
        String actual = check.getRoutingNumber();

        assertEquals(expected, actual);
    }

    @Test
    public void getAccountNumber() {


        check2.setAccountNumber("52000");
        check.setAccountNumber("52820");
        String expected = "52820";
        String actual = check.getAccountNumber();

        assertEquals(expected, actual);
    }

    //    Check Tia Mowry ***4551
    @org.junit.Test
    public void getShortDescription() {

        check2.setPayerName("Tia Mowry");
        check2.setRoutingNumber("5678");
        check2.setAccountNumber("52000");
        check.setPayerName("Randall Gibson");
        check.setRoutingNumber("1234");
        check.setAccountNumber("52820");
        String expected = "check Randall Gibson ***2820";
        String actual = check.getShortDescription();

        Assert.assertEquals(expected, actual);

    }
    @Test
    public void compareToTest(){

        check2.setPayerName("Tia Mowry");
        check2.setRoutingNumber("5678");
        check2.setAccountNumber("52000");
        check.setPayerName("Randall Gibson");
        check.setRoutingNumber("1234");
        check.setAccountNumber("52820");


        int actual = check.compareTo(check2);

        Assert.assertTrue(actual < 0);
    }

}