package com.zipcoder.payment;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class CreditCardTest {
    CreditCard credit;
    CreditCard credit2;

    @Before
    public void setup() {
        credit = new CreditCard();
        credit2 = new CreditCard();

    }
    @org.junit.Test
    public void getIdTest() {
        CreditCard creditCard = new CreditCard();
        CreditCard credit2 = new CreditCard();


        creditCard.setId(1234L);

        Long expected = 1234L;
        Long actual = creditCard.getId();

        assertEquals(expected, actual);
    }

    @Test
    public void getNumberTest() {

        credit2.setNumber("4567891011");
        credit.setNumber("123456789");
        String expected="123456789";
        String actual = credit.getNumber();
        Assert.assertEquals(expected,actual);
}
    @org.junit.Test
    public void getPayerName(){

        credit2.setPayerName("Tia Mowry");
        credit.setPayerName("Randall Gibson");
        String expected = "Randall Gibson";

        String actual = credit.getPayerName();

        assertEquals(expected,actual);
    }

    @org.junit.Test
    public void getShortDescription() {

        credit2.setPayerName("Tia Mowry");
        credit2.setExpiredYear(2020);
        credit2.setExpiredMonth(11);
        credit2.setNumber("4567891011");
        credit.setPayerName("Randall Gibson");
        credit.setExpiredYear(2019);
        credit.setExpiredMonth(10);
        credit.setNumber("123456789");
        String expected= "CC Randall Gibson 6789 10/2019";
        String actual= credit.getShortDescription();

        Assert.assertEquals(expected,actual);
    }

    @org.junit.Test
    public void getExpiredMonth(){

        credit2.setExpiredMonth(11);
        credit.setExpiredMonth(10);

        int expected = 10;

        int actual = credit.getExpiredMonth();

        assertEquals(expected,actual);
    }

    @org.junit.Test
    public void getExpiredYear(){
        credit.setExpiredYear(2020);
        credit.setExpiredYear(2019);
        int expected = 2019;

        int actual = credit.getExpiredYear();

        assertEquals(expected,actual);
    }

    @Test
    public void compareToTest(){

        credit2.setPayerName("Tia Mowry");
        credit2.setExpiredYear(2020);
        credit2.setExpiredMonth(11);
        credit2.setNumber("4567891011");
        credit.setPayerName("Randall Gibson");
        credit.setExpiredYear(2019);
        credit.setExpiredMonth(10);
        credit.setNumber("123456789");


        int actual = credit.compareTo(credit2);

        Assert.assertTrue(actual < 0);
    }


}