package com.zipcoder.payment;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.assertEquals;

public class PayPalTest {

    PayPal paypal;
    PayPal paypal2;

@Before
public void setup(){
    paypal = new PayPal();
    paypal2 = new PayPal();
}
    @Test
    public void getIdTest() {
        paypal2.setId(2345L);
        paypal.setId(1234L);

        Long expected = 1234L;
        Long actual = paypal.getId();

        assertEquals(expected, actual);
    }

    @Test
    public void getPayerName() {

        paypal.setPayerName("Randall");
        paypal2.setPayerName("Tia");
        String expected = "Randall";
        String actual = paypal.getPayerName();

        assertEquals(expected, actual);

    }

    @Test
    public void getEmail() {


        paypal.setEmail("Rgibs@gmail");
        paypal2.setEmail("tia@mowry");
        String expected = "Rgibs@gmail";
        String actual = paypal.getEmail();

        assertEquals(expected, actual);
    }

    @org.junit.Test
    public void getShortDescription() {

        paypal2.setPayerName("Tia Mowry");
        paypal.setPayerName("Randall Gibson");
        paypal.setEmail("ran@gibs.com");
        paypal2.setEmail("tia@mowry");
        String expected = "Paypal Randall Gibson ran@gibs.com";
        String actual = paypal.getShortDescription();

        Assert.assertEquals(expected, actual);

    }

    @Test
    public void compareToTest() {

        paypal2.setPayerName("Tia Mowry");
        paypal.setPayerName("Randall Gibson");
        paypal.setEmail("ran@gibs.com");
        paypal2.setEmail("tia@mowry");


        int actual = paypal.compareTo(paypal2);

        Assert.assertTrue(actual < 0);

    }
}
